# eric4.QScintilla.Lexers.LexerVHDL

Module implementing a VHDL lexer with some additional methods.

### Global Attributes

None

### Classes

LexerVHDL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerVHDL

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerVHDL, Lexer

### Class Attributes

None

### Methods

LexerVHDL | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerVHDL (Constructor)

LexerVHDL(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerVHDL.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerVHDL.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerVHDL.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up